LocatorLauncher.LocatorState (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.distributed, class: LocatorLauncher, class: LocatorState

Package org.apache.geode.distributed

# Class LocatorLauncher.LocatorState

java.lang.Object
org.apache.geode.distributed.AbstractLauncher.ServiceState<String>
org.apache.geode.distributed.LocatorLauncher.LocatorState

Enclosing class:
  LocatorLauncher

public static class LocatorLauncher.LocatorState extends AbstractLauncher.ServiceState<String>
The LocatorState is an immutable type representing the state of the specified Locator at any given moment in time. The state of the Locator is assessed at the exact moment an instance of this class is constructed.

See Also:
  - `AbstractLauncher.ServiceState`

- ## Field Summary

  ### Fields inherited from class org.apache.geode.distributed.AbstractLauncher.ServiceState

  `JSON_CLASSPATH, JSON_GEMFIREVERSION, JSON_HOST, JSON_JAVAVERSION, JSON_JVMARGUMENTS, JSON_LOCATION, JSON_LOGFILE, JSON_MEMBERNAME, JSON_PID, JSON_PORT, JSON_STATUS, JSON_STATUSMESSAGE, JSON_TIMESTAMP, JSON_UPTIME, JSON_WORKINGDIRECTORY`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `LocatorState(AbstractLauncher.Status status, String statusMessage, long timestamp, String locatorLocation, Integer pid, Long uptime, String workingDirectory, List<String> jvmArguments, String classpath, String gemfireVersion, String javaVersion, String logFile, String host, String port, String memberName)`
  ``
  `LocatorState(LocatorLauncher launcher, AbstractLauncher.Status status)`
  ``
  `LocatorState(LocatorLauncher launcher, AbstractLauncher.Status status, String errorMessage)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LocatorLauncher.LocatorState`
  `fromDirectory(String workingDirectory, String memberName)`
  `static LocatorLauncher.LocatorState`
  `fromJson(String json)`
  Unmarshals a LocatorState instance from the JSON String.
  `protected String`
  `getServiceName()`
  Gets the name of the GemFire service.

  ### Methods inherited from class org.apache.geode.distributed.AbstractLauncher.ServiceState

  `format, getClasspath, getGemFireVersion, getHost, getJavaVersion, getJvmArguments, getLogFile, getMemberName, getPid, getPort, getServiceLocation, getStatus, getStatusMessage, getTimestamp, getUptime, getWorkingDirectory, identifyPid, isStartingNotRespondingOrNull, isStartingOrNotResponding, isVmWithProcessIdRunning, toDaysHoursMinutesSeconds, toJson, toString, toString, toString, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LocatorState

    public LocatorState(LocatorLauncher launcher, AbstractLauncher.Status status)

  - ### LocatorState

    public LocatorState(LocatorLauncher launcher, AbstractLauncher.Status status, String errorMessage)

  - ### LocatorState

    protected LocatorState(AbstractLauncher.Status status, String statusMessage, long timestamp, String locatorLocation, Integer pid, Long uptime, String workingDirectory, List<String> jvmArguments, String classpath, String gemfireVersion, String javaVersion, String logFile, String host, String port, String memberName)

- ## Method Details

  - ### fromJson

    public static LocatorLauncher.LocatorState fromJson(String json)
    Unmarshals a LocatorState instance from the JSON String.
    Parameters:
      `json` - a JSON String
    Returns:
      a LocatorState value unmarshalled from the JSON String.

  - ### fromDirectory

    public static LocatorLauncher.LocatorState fromDirectory(String workingDirectory, String memberName)

  - ### getServiceName

    protected String getServiceName()
    Description copied from class: `AbstractLauncher.ServiceState`
    Gets the name of the GemFire service.
    Specified by:
      `getServiceName` in class `AbstractLauncher.ServiceState<String>`
    Returns:
      a String indicating the name of the GemFire service.